<?php
/*
Plugin Name: Cookies-allow
Plugin URI: http://wordpress.org/extend/plugins/wp-smart-cookie-allow/
Description: This plugin makes it easy to apply the new EU cookie law to your website. When a visitor enter your site for the first time, it opens an popup that always stays in the top of the browser, even when scolling. If a user does not accept, he/she will be redirected to the previously url, if none, you can chooce the redirection url.
Version: 1.3
Author: Wuptii
Author URI: http://wordpress.org/extend/plugins/wp-smart-cookie-allow/
License: GPL
*/
ob_start();
define( 'cookies-allow', plugin_dir_path(__FILE__) );

register_activation_hook(__FILE__, 'my_plugin_activate');
add_action('admin_init', 'my_plugin_redirect');

function my_plugin_activate() {
    add_option('my_plugin_do_activation_redirect', true);
}

function my_plugin_redirect() {
    if (get_option('my_plugin_do_activation_redirect', false)) {
        delete_option('my_plugin_do_activation_redirect');
    
	   wp_redirect("options-general.php?page=Cookies-allow");
	   update_option( 'cookie_text_data', 'This Website will use your browser cookies. Allow it ?' );
	   update_option( 'cookie_text_time', '10' );
	   update_option( 'cookie_text_url', 'https://www.google.co.in' );
	   
    }
}

add_action('wp_head', 'cookie_text');

function cookie_text(){
	
	$noty_url = plugins_url('/assets/noty.php', __FILE__);

// Style
//wp_enqueue_style( 'colorboxstylesheet', plugins_url('/assets/colorbox.css', __FILE__) );

// Script
//wp_enqueue_script( 'colorbox', plugins_url('/assets/jquery.colorbox.js', __FILE__) );
//wp_enqueue_script( 'noty', plugins_url('/assets/noty-js.php', __FILE__) );
?>
<?php
 
if($_COOKIE['Cookie_allow']!='1') { ?>

<script>
	
	jQuery(document).ready(function() { 
	    
	jQuery("#noty_form").submit(function(event){
   
    // setup some local variables
   // jQuery(this).find("input, checkbox").attr("disabled", "disabled");
	
	serializedData = jQuery(this).serialize();
    
	//alert(jQuery("#noty_time").val());
	
	noty_time = parseInt(jQuery("#noty_time").val())*86400;
	
	wp_path = "<?php echo get_bloginfo('url'); ?>";
	
	//alert(noty_time);
	
    jQuery.ajax({

        url: "<?php echo $noty_url; ?>",

        type: "post",

        data: { noty_time: noty_time, path: wp_path},

        success: function(response, textStatus, jqXHR){
			
		//	alert(response);

        },

        // callback handler that will be called on error

        error: function(jqXHR, textStatus, errorThrown){

            // log the error to the console

            console.log(

                "The following error occured: "+

                textStatus, errorThrown

            );

        },

        complete: function(){
			jQuery(this).find("input, checkbox").removeAttr("disabled");
			//jQuery.fn.colorbox.close();
	jQuery("#upper_noty").hide();

        }

    });
	event.preventDefault();

});

}); // document

function not_allow() {
history.back();
}
	
	


</script>

<style>

#upper_noty{
	border:1px solid #36F;
	background:#F0F4FF;
	top:0; 
position:fixed !important;
width:100%;
z-index:9999 !important;
}
</style>


<script>
  function redir() {
	
	if(history.length==1)	
	{
	window.location="<?php echo get_option('cookie_text_url'); ?>";
	//alert(history.length);
	}
	else{
	history.go(-1);
	}

	

}
  </script>
<div id="upper_noty" style="background:#<?php echo get_option('cookie_text_bg'); ?>; border:#<?php echo get_option('cookie_text_brd'); ?> 1px solid;">

<div id="noty" style="padding:5px; width:300px; margin:auto;">
<form method="post" id="noty_form">

<div style="font-size:12px;"><?php echo get_option('cookie_text_data'); ?></div>
<br />
  <input type="hidden" name="noty_time" id="noty_time" value="<?php echo get_option('cookie_text_time'); ?>" /><input type="submit" value="Allow" />
 
  <input type="button" onClick="redir();" style="float:right;" value="Don't Allow" />
  
</form>  
</div>


</div>
<!-- noty -->
<?php } // Cookies exists ?>

<?php 		
} // Cookie Text function

if ( is_admin() ){

/* Call the html code */
add_action('admin_menu', 'cookie_allow_admin_menu');

function cookie_allow_admin_menu() {
add_options_page('Cookie Allow', 'Cookie Allow Permission', 'administrator','Cookies-allow', 'cookie_text_html_page');
}
}


function cookie_text_html_page() {
?>
<div>
<h2>Cookie Allow Options</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<table width="100%">
<tr valign="top">
<th width="92" scope="row">Enter Text</th>
<td width="406">
<textarea style="width:80%; height:100px;" name="cookie_text_data" id="cookie_text_data">
<?php echo get_option('cookie_text_data'); ?>
</textarea>
</td>
</tr>

<tr valign="top">
<th width="100" scope="row">For how many time cookies will store?</th>
<td width="406">
<input type="text" name="cookie_text_time" value="<?php echo get_option('cookie_text_time'); ?>" id="cookie_text_time"> Days
</td>
</tr>

<tr valign="top">
<th width="100" scope="row">Don't Allow redirection URL</th>
<td width="406">
<input type="text" name="cookie_text_url" style="width:300px;" value="<?php echo get_option('cookie_text_url'); ?>" id="cookie_text_url">
</td>
</tr>

<tr valign="top">
<th width="100" scope="row">Background Color of box</th>
<td width="406">
#<input type="text" name="cookie_text_bg" style="width:300px;" value="<?php echo get_option('cookie_text_bg'); ?>" id="cookie_text_url">
</td>
</tr>


<tr valign="top">
<th width="100" scope="row">Border Color box</th>
<td width="406">
#<input type="text" name="cookie_text_brd" style="width:300px;" value="<?php echo get_option('cookie_text_brd'); ?>" id="cookie_text_url">
</td>
</tr>

</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="cookie_text_data,cookie_text_url,cookie_text_time,cookie_text_brd,cookie_text_bg" />
<p>
<input type="submit" value="<?php _e('Save Changes') ?>" class="button" />
</p>

</form>
</div>
<?php
}


?>

